| ## DOMAINREP documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Reorder DCF file to identify representative structures

## 2.0 INPUTS & OUTPUTS

DOMAINREP reads a DCF file (domain classification file) and writes a DCF file containing the same data except that the order of domains within each user-specified node (e.g. family) in the hierarchy may be changed so that the representative structure of each node is given first. The representative structure is found by using stamp and this application must be installed on the system that is running DOMAINREP and correctly configured (see 'Notes' below). A 'domain PDB file' for each domain in the DCF file must exist in a directory specified in the stamp "pdb.directories" file (see 'Notes' below). The domain PDB file contains coordinate data for a single domain from SCOP or CATH, in PDB format. The input and output files are specified by the user.

## 3.0 INPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation.

### Input files for usage example

### File: all.scop2

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1FX2A_
    XX
    EN   1FX2
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55081 DO; 55082 SO; 39430 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Receptor-type monomeric adenylyl cyclase
    XX
    OS   Trypanosome (Trypanosoma brucei), different isoform
    XX
    NC   1
    XX
    CN   [1]
    XX

      [Part of this file has been deleted for brevity]

    XX
    EN   4AT1
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 54893 SF; 54894 FA; 54895 DO; 54896 SO; 39019 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    FA   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    DO   Aspartate carbamoyltransferase
    XX
    OS   Escherichia coli
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   B CHAIN; 8 START; 100 END;
    //
    ID   D4AT1D1
    XX
    EN   4AT1
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 54893 SF; 54894 FA; 54895 DO; 54896 SO; 39020 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    FA   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    DO   Aspartate carbamoyltransferase
    XX
    OS   Escherichia coli
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   D CHAIN; 8 START; 100 END;
    //

## 4.0 OUTPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation.

### Output files for usage example

### File: all_rep1st.scop

    ID   D4AT1B1
    XX
    EN   4AT1
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 54893 SF; 54894 FA; 54895 DO; 54896 SO; 39019 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    FA   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    DO   Aspartate carbamoyltransferase
    XX
    OS   Escherichia coli
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   B CHAIN; 8 START; 100 END;
    //
    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    NC   1
    XX
    CN   [1]
    XX

      [Part of this file has been deleted for brevity]

    XX
    EN   1FX2
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55081 DO; 55082 SO; 39430 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Receptor-type monomeric adenylyl cyclase
    XX
    OS   Trypanosome (Trypanosoma brucei), different isoform
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D4AT1D1
    XX
    EN   4AT1
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 54893 SF; 54894 FA; 54895 DO; 54896 SO; 39020 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    FA   Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain
    XX
    DO   Aspartate carbamoyltransferase
    XX
    OS   Escherichia coli
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   D CHAIN; 8 START; 100 END;
    //

## 5.0 DATA FILES

DOMAINREP does not use any data files but does make use of the stamp "pdb.directories" file (see 'Notes').

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

    Reorder DCF file to identify representative structures.
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-dcfinfile]         infile     This option specifies the name of DCF file
                                      (domain classification file) (input). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
       -node               menu       [1] This option specifies the node fore
                                      reordering the file. Reordering can be done
                                      for any specified node in the SCOP or CATH
                                      hierarchies. For example by selecting
                                      'Class' entries belonging to the same Class
                                      will be reordered in turn. (Values: 1 (Class
                                      (SCOP)); 2 (Fold (SCOP)); 3 (Superfamily
                                      (SCOP)); 4 (Family (SCOP)); 5 (Class
                                      (CATH)); 6 (Architecture (CATH)); 7
                                      (Topology (CATH)); 8 (Homologous Superfamily
                                      (CATH)); 9 (Family (CATH)))
      [-dcfoutfile]        outfile    [test.scop] This option specifies the name
                                      of DCF file (domain classification file)
                                      (output). A 'domain classification file'
                                      contains classification and other data for
                                      domains from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-dcfoutfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-dcfinfile] (Parameter 1) | infile | This option specifies the name of DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Input file | Required
-node | list | This option specifies the node fore reordering the file. Reordering can be done for any specified node in the SCOP or CATH hierarchies. For example by selecting 'Class' entries belonging to the same Class will be reordered in turn. |
1 | (Class (SCOP))
2 | (Fold (SCOP))
3 | (Superfamily (SCOP))
4 | (Family (SCOP))
5 | (Class (CATH))
6 | (Architecture (CATH))
7 | (Topology (CATH))
8 | (Homologous Superfamily (CATH))
9 | (Family (CATH))
| 1
[-dcfoutfile] (Parameter 2) | outfile | This option specifies the name of DCF file (domain classification file) (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Output file | test.scop
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-dcfoutfile" associated outfile qualifiers
-odirectory2 -odirectory_dcfoutfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

### 6.2 EXAMPLE SESSION

An example of interactive use of DOMAINREP is shown below. Here is a sample session with domainrep

    % domainrep
    Reorder DCF file to identify representative structures.
    Domain classification file: all.scop2
    Node at which to reorder
             1 : Class (SCOP)
             2 : Fold (SCOP)
             3 : Superfamily (SCOP)
             4 : Family (SCOP)
             5 : Class (CATH)
             6 : Architecture (CATH)
             7 : Topology (CATH)
             8 : Homologous Superfamily (CATH)
             9 : Family (CATH)
    Select number. [1]: 2
    Domain classification output file [test.scop]: all_rep1st.scop

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

    stamp -l ./domainrep-1234567890.1234.dom -s -n 2 -slide 5 -prefix ./domainrep-1234567890.1234 -d ./domainrep-1234567890.1234.set > ./domainrep-1234567890.1234.out

Go to the input files for this example
Go to the output files for this example

The following command line would achieve the same result.

    domainrep test_data/all.scop test_data/domainrep/all_rep1st.scop -node 4

## 7.0 KNOWN BUGS & WARNINGS

None.

## 8.0 NOTES

stamp modification
DOMAINREP will only run with with a version of stamp which has been modified so that PDB id codes of length greater than 4 characters are acceptable. This involves a trivial change to the stamp module getdomain.c (around line number 155), a 4 must be changed to a 7 as follows:

    temp=getfile(domain[0].id,dirfile,4,OUTPUT);
    < change to ... >
    temp=getfile(domain[0].id,dirfile,7,OUTPUT);

stamp configuration
stamp searches for pdb files with a certain prefix, extension and path as specified in the stamp "pdb.directories" file, which should look like something like this (change the text according to your system setup):

    /data/pdb - -
    /data/pdb _ .ent
    /data/pdb _ .pdb
    /data/pdb pdb .ent
    /data/pdbscop _ _
    /data/pdbscop _ .ent
    /data/pdbscop _ .pdb
    /data/pdbscop pdb .ent
    ./ _ _
    ./ _ .ent
    ./ _ .ent.z
    ./ _ .ent.gz
    ./ _ .pdb
    ./ _ .pdb.Z
    ./ _ .pdb.gz
    ./ pdb .ent
    ./ pdb .ent.Z
    ./ pdb .ent.gz
    /data/CASS1/pdb/coords/ _ .pdb
    /data/CASS1/pdb/coords/ _ .pdb.Z
    /data/CASS1/pdb/coords/ _ .pdb.gz

None

### 8.1 GLOSSARY OF FILE TYPES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO
Domain classification file (for SCOP) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from SCOP. | SCOPPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain classification file (for CATH) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from CATH. | CATHPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain PDB file | PDB format for domain coordinate data. | Coordinate data for a single domain from SCOP or CATH. | DOMAINER | N.A.

## 9.0 DESCRIPTION

The protein structural alignment program stamp aligns multiple structures to a seed structure. The best alignments will result when the seed is the best available representative of the entire set, i.e. in structural terms, is more similar to the other structures than any other structure.
DOMAINALIGN calls stamp to generate alignments of domains belonging to the same node (e.g. family) in a DCF file. DOMAINALIGN will produce better alignments if the DCF file is reordered so that the representative structure of each node is given first, because the first strucutres are used as the seeds. The reordering of the DCF file is done by using DOMAINREP.

## 10.0 ALGORITHM

More information on stamp can be found at http://www.compbio.dundee.ac.uk/manuals/stamp.4.2/

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
contacts | Generate intra-chain CON files from CCF files
domainalign | Generate alignments (DAF file) for nodes in a DCF file
domainreso | Remove low resolution domains from a DCF file
interface | Generate inter-chain CON files from CCF files
libgen | Generate discriminating elements from alignments
matgen3d | Generate a 3D-1D scoring matrix from CCF files
psiphi | Calculates phi and psi torsion angles from protein coordinates
rocon | Generates a hits file from comparing two DHF files
rocplot | Performs ROC analysis on hits files
seqalign | Extend alignments (DAF file) with sequences (DHF file)
seqfraggle | Removes fragment sequences from DHF files
seqsearch | Generate PSI-BLAST hits (DHF file) from a DAF file
seqsort | Remove ambiguous classified sequences from DHF files
seqwords | Generates DHF files from keyword search of UniProt
siggen | Generates a sparse protein signature from an alignment
siggenlig | Generates ligand-binding signatures from a CON file
sigscan | Generates hits (DHF file) from a signature search
sigscanlig | Searches ligand-signature library & writes hits (LHF file)

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Mat Blades (Matthew.Blades@astrazeneca.com)
Jon Ison (jison@ebi.ac.uk)
The European Bioinformatics Institute Wellcome Trust Genome Campus Cambridge CB10 1SD UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS.
Rice P, Longden I and Bleasby A (2000) "EMBOSS - The European Molecular Biology Open Software Suite" Trends in Genetics, 15:276-278.

See also http://emboss.sourceforge.net/

### 14.1 Other useful references